# $Revision: 1.30 $, $Date: 2004/08/19 19:06:19 $
Summary:	Dockable cpu monitor for WindowMaker
Summary(pl):	Dokowalny monitor procesora dla WindowMakera
Name:		wmcpu
Version:	1.3
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.ne.jp/asahi/linux/timecop/software/%{name}-%{version}.tar.gz
# Source0-md5:	1e8e108c613cde810eed40e6ce4c26d9
Source1:	%{name}.desktop
URL:		http://www.ne.jp/asahi/linux/timecop/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmcpu is a program for WindowMaker Dock which gives a graphical
representation of the info provided by uptime.

%description -l pl
wmcpu jest programem dla Doku WindowMakera, wywietlajcym w formie
graficznej informacje o wykorzystaniu zasobw systemowych.

%prep
%setup -q

%build
%{__make} %{name} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags} -Wall" \
	LDFLAGS="-L/usr/X11R6/%{_lib} -lXpm -lXext -lX11"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/wmcpu.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmcpu.spec,v $
Revision 1.30  2004/08/19 19:06:19  yogib
- fix building on amd64

Revision 1.29  2004/07/18 10:13:10  yogib
- switched to vfolders, cosmetics

Revision 1.28  2004/03/16 06:25:14  adamg
- release 2 for Ac

Revision 1.27  2003/09/19 16:43:02  baggins
- uncommented applink

Revision 1.26  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.25  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/02/28 10:09:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.22  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.21  2002/11/29 22:47:17  ankry
- massive attack: new %%doc

Revision 1.20  2002/02/23 05:05:00  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:15:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/26 04:37:13  kloczek
- fix %install (make %%{_bindir} in $RPM_BUILD_ROOT).

Revision 1.16  2001/11/24 00:56:00  kloczek
- commented install desktop file.

Revision 1.15  2001/11/24 00:40:38  blues
- 1.3
- removed outdated patches
- DESTDIR-style instalation used
- fixes in docs and setup
STBR

Revision 1.14  2001/11/21 02:11:02  blues
- URLs updated
- cosmetics
NOTE: there is new version avaible

Revision 1.13  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.11  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.8  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:58:28  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.2-1]
- initial RPM release.
